Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meterware.httpunit
Class HttpUnitOptions

    java.lang.Object
      |
      +--com.meterware.httpunit.HttpUnitOptions

public abstract class HttpUnitOptions
extends Object

A collection of global options to control HttpUnit's behavior.

Author:
  Russell Gold, Dave Glowacki, Benoit Xhenseval

Constructor Summary
`HttpUnitOptions()`

Method Summary
`static void` | `addHtmlErrorListener(HtmlErrorListener el)` Add an Html error listener.
`static boolean` | `getAutoRedirect()` Returns true if HttpUnit should automatically follow page redirect requests (status 3xx).
`static boolean` | `getAutoRefresh()` Returns true if HttpUnit should automatically follow page refresh requests.
`static String` | `getDefaultCharacterSet()` Returns the character set to be used for pages which do not specify one.
`static String` | `getDefaultContentType()` Returns the content type to be used for pages which do not specify one.
`static boolean` | `getExceptionsThrownOnErrorStatus()` Returns true if WebClient.getResponse throws exceptions when detected an error status.
`static Vector` | `getHtmlErrorListeners()` Get the list of Html Error Listeners
`static boolean` | `getImagesTreatedAsAltText()` Returns true if images are treated as text, using their alt attributes.
`static boolean` | `getMatchesIgnoreCase()` If true, text matches in methods such as `HTMLSegment.getLinkWith(java.lang.String)` are case insensitive.
`static boolean` | `getParameterValuesValidated()` Returns true if form parameter settings are checked.
`static boolean` | `getParserWarningsEnabled()` Returns true if parser warnings are enabled.
`static int` | `getRedirectDelay()` Returns the delay, in milliseconds, before a redirect request is issues.
`static boolean` | `isAcceptGzip()` Returns true if any WebClient created will accept GZIP encoding of responses.
`static boolean` | `isCheckContentLength()` Returns true if HttpUnit will throw an exception when a message is only partially received.
`static boolean` | `isLoggingHttpHeaders()` Returns true if HTTP headers are to be dumped to system output.
`static boolean` | `isPostIncludesCharset()` Returns true if POST requests should include the character set in the content-type header.
`static void` | `removeHtmlErrorListener(HtmlErrorListener el)` Remove an Html error listener.
`static void` | `reset()` Resets all options to their default values.
`static void` | `resetDefaultCharacterSet()` Resets the default character set to the HTTP default encoding.
`static void` | `resetDefaultContentType()` Resets the default content type to plain text.
`static void` | `setAcceptGzip(boolean acceptGzip)` Specifies whether a WebClient will be initialized to accept GZIP encoded responses.
`static void` | `setAutoRedirect(boolean autoRedirect)` Determines whether HttpUnit should automatically follow page redirect requests (status 3xx).
`static void` | `setAutoRefresh(boolean autoRefresh)` Specifies whether HttpUnit should automatically follow page refresh requests.
`static void` | `setCheckContentLength(boolean checkContentLength)` Specifies whether HttpUnit should throw an exception when the content length of a message does not match its actual received length.
`static void` | `setDefaultCharacterSet(String characterSet)` Sets the default character set for pages which do not specify one.
`static void` | `setDefaultContentType(String contentType)` Sets the default content type for pages which do not specify one.
`static void` | `setExceptionsThrownOnErrorStatus(boolean enabled)` If true, WebClient.getResponse throws an exception when it receives an error status.
`static void` | `setImagesTreatedAsAltText(boolean asText)` If true, tells HttpUnit to treat images with alt attributes as though they were the text value of that attribute in all searches and displays.
`static void` | `setLoggingHttpHeaders(boolean enabled)` If true, tells HttpUnit to log HTTP headers to system output.
`static void` | `setMatchesIgnoreCase(boolean ignoreCase)` If true, text matches in methods such as `HTMLSegment.getLinkWith(java.lang.String)` are case insensitive.
`static void` | `setParameterValuesValidated(boolean validated)` If true, tells HttpUnit to throw an exception on any attempt to set a form parameter to a value which could not be set via the browser.
`static void` | `setParserWarningsEnabled(boolean enabled)` If true, tells the parser to display warning messages.
`static void` | `setPostIncludesCharset(boolean postIncludesCharset)` Determines whether a normal POST request will include the character set in the content-type header.
`static void` | `setRedirectDelay(int delayInMilliseconds)` Sets the delay, in milliseconds, before a redirect request is issued.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpUnitOptions

    public HttpUnitOptions()

Method Detail

### reset

    public static void reset()

  Resets all options to their default values.

### isAcceptGzip

    public static boolean isAcceptGzip()

  Returns true if any WebClient created will accept GZIP encoding of responses. The default is to accept GZIP encoding.

### setAcceptGzip

    public static void setAcceptGzip(boolean acceptGzip)

  Specifies whether a WebClient will be initialized to accept GZIP encoded responses. The default is true.

### resetDefaultCharacterSet

    public static void resetDefaultCharacterSet()

  Resets the default character set to the HTTP default encoding.

### resetDefaultContentType

    public static void resetDefaultContentType()

  Resets the default content type to plain text.

### setDefaultCharacterSet

    public static void setDefaultCharacterSet(String characterSet)

  Sets the default character set for pages which do not specify one. By default, HttpUnit uses the platform default encoding.

### getDefaultCharacterSet

    public static String getDefaultCharacterSet()

  Returns the character set to be used for pages which do not specify one.

### isCheckContentLength

    public static boolean isCheckContentLength()

  Returns true if HttpUnit will throw an exception when a message is only partially received. The default is to avoid such checks.

### setCheckContentLength

    public static void setCheckContentLength(boolean checkContentLength)

  Specifies whether HttpUnit should throw an exception when the content length of a message does not match its actual received length. Defaults to false.

### setPostIncludesCharset

    public static void setPostIncludesCharset(boolean postIncludesCharset)

  Determines whether a normal POST request will include the character set in the content-type header. The default is to include it; however, some older servlet engines (most notably Tomcat 3.1) get confused when they see it.

### isPostIncludesCharset

    public static boolean isPostIncludesCharset()

  Returns true if POST requests should include the character set in the content-type header.

### setDefaultContentType

    public static void setDefaultContentType(String contentType)

  Sets the default content type for pages which do not specify one.

### getDefaultContentType

    public static String getDefaultContentType()

  Returns the content type to be used for pages which do not specify one.

### getParserWarningsEnabled

    public static boolean getParserWarningsEnabled()

  Returns true if parser warnings are enabled.

### setExceptionsThrownOnErrorStatus

    public static void setExceptionsThrownOnErrorStatus(boolean enabled)

  If true, WebClient.getResponse throws an exception when it receives an error status. Defaults to true.

### getExceptionsThrownOnErrorStatus

    public static boolean getExceptionsThrownOnErrorStatus()

  Returns true if WebClient.getResponse throws exceptions when detected an error status.

### setParserWarningsEnabled

    public static void setParserWarningsEnabled(boolean enabled)

  If true, tells the parser to display warning messages. The default is false (warnings are not shown).

### getParameterValuesValidated

    public static boolean getParameterValuesValidated()

  Returns true if form parameter settings are checked.

### setParameterValuesValidated

    public static void setParameterValuesValidated(boolean validated)

  If true, tells HttpUnit to throw an exception on any attempt to set a form parameter to a value which could not be set via the browser. The default is true (parameters are validated).

### getImagesTreatedAsAltText

    public static boolean getImagesTreatedAsAltText()

  Returns true if images are treated as text, using their alt attributes.

### setImagesTreatedAsAltText

    public static void setImagesTreatedAsAltText(boolean asText)

  If true, tells HttpUnit to treat images with alt attributes as though they were the text value of that attribute in all searches and displays. The default is false (image text is generally ignored).

### getMatchesIgnoreCase

    public static boolean getMatchesIgnoreCase()

  If true, text matches in methods such as `HTMLSegment.getLinkWith(java.lang.String)` are case insensitive. The default is true (matches ignore case).

### setMatchesIgnoreCase

    public static void setMatchesIgnoreCase(boolean ignoreCase)

  If true, text matches in methods such as `HTMLSegment.getLinkWith(java.lang.String)` are case insensitive. The default is true (matches ignore case).

### isLoggingHttpHeaders

    public static boolean isLoggingHttpHeaders()

  Returns true if HTTP headers are to be dumped to system output.

### setLoggingHttpHeaders

    public static void setLoggingHttpHeaders(boolean enabled)

  If true, tells HttpUnit to log HTTP headers to system output. The default is false.

### getAutoRedirect

    public static boolean getAutoRedirect()

  Returns true if HttpUnit should automatically follow page redirect requests (status 3xx). By default, this is true.

### setAutoRedirect

    public static void setAutoRedirect(boolean autoRedirect)

  Determines whether HttpUnit should automatically follow page redirect requests (status 3xx). By default, this is true in order to simulate normal browser operation.

### getRedirectDelay

    public static int getRedirectDelay()

  Returns the delay, in milliseconds, before a redirect request is issues.

### setRedirectDelay

    public static void setRedirectDelay(int delayInMilliseconds)

  Sets the delay, in milliseconds, before a redirect request is issued. This may be necessary if the server under some cases where the server performs asynchronous processing which must be completed before the new request can be handled properly, and is taking advantage of slower processing by most user agents. It almost always indicates an error in the server design, and therefore the default delay is zero.

### getAutoRefresh

    public static boolean getAutoRefresh()

  Returns true if HttpUnit should automatically follow page refresh requests. By default, this is false, so that programs can verify the redirect page presented to users before the browser switches to the new page.

### setAutoRefresh

    public static void setAutoRefresh(boolean autoRefresh)

  Specifies whether HttpUnit should automatically follow page refresh requests. By default, this is false, so that programs can verify the redirect page presented to users before the browser switches to the new page. Setting this to true can cause an infinite loop on pages that refresh themselves.

### removeHtmlErrorListener

    public static void removeHtmlErrorListener(HtmlErrorListener el)

  Remove an Html error listener.

### addHtmlErrorListener

    public static void addHtmlErrorListener(HtmlErrorListener el)

  Add an Html error listener.

### getHtmlErrorListeners

    public static Vector getHtmlErrorListeners()

  Get the list of Html Error Listeners

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD